## edu.cwru.SimpleRTS.util
Class GameMap

    java.lang.Object
      edu.cwru.SimpleRTS.util.GameMap

All Implemented Interfaces:
  java.io.Serializable

    public final class GameMap

extends java.lang.Object
implements java.io.Serializable

store maps and status into files; load maps and status from files.

Author:
  Feng
See Also:
  Serialized Form

Method Summary
`static State` `loadState(java.lang.String filename)`
`static void` `storeState(java.lang.String filename, State state)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### storeState

    public static void storeState(java.lang.String filename,
                                  State state)

### loadState

    public static State loadState(java.lang.String filename)